Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### point()

Examples

    point(30, 20);
    point(85, 20);
    point(85, 75);
    point(30, 75);

    size(100, 100, P3D);
    point(30, 20, -50);
    point(85, 20, -50);
    point(85, 75, -50);
    point(30, 75, -50);

Description | Draws a point, a coordinate in space at the dimension of one pixel. The first parameter is the horizontal value for the point, the second value is the vertical value for the point, and the optional third value is the depth value. Drawing this shape in 3D using the z parameter requires the P3D or OPENGL parameter in combination with size as shown in the above example.

Syntax

    point(x, y)
    point(x, y, z)

Parameters

x | int or float: x-coordinate of the point
y | int or float: y-coordinate of the point
z | int or float: z-coordinate of the point

Returns | None
Usage | Web & Application
Related | beginShape()

Updated on November 22, 2008 08:39:25pm PST